Gecode::SetTraceDelta::Lub Class Reference

Delta for the least upper bound. More...

`#include <set.hh>`

## Protected Attributes

Iter::Ranges::RangeList | o
| Iterator over old lub.
Set::LubRanges< Set::SetView > | n
| Iterator over new lub.
Protected Attributes inherited from Gecode::Iter::Ranges::Diff< Iter::Ranges::RangeList, Set::LubRanges< Set::SetView > >
Iter::Ranges::RangeList | i
| Iterator from which to subtract.
Set::LubRanges< Set::SetView > | j
| Iterator to be subtracted.
Protected Attributes inherited from Gecode::Iter::Ranges::MinMax
int | mi
| Minimum of current range.
int | ma
| Maximum of current range.

## Constructors and initialization

| Lub (RangeList *o, Set::SetView n)
| Initialize with old lub o and new lub n.

## Additional Inherited Members

| Diff (void)
| Default constructor.
void | init (Iter::Ranges::RangeList &i, Set::LubRanges< Set::SetView > &j)
| Initialize with iterator i and j.
void | operator++ (void)
| Move iterator to next range (if possible).
| MinMax (void)
| Default constructor.
| MinMax (int min, int max)
| Initialize with range min to max.
bool | operator() (void) const
| Test whether iterator is still at a range or done.
int | min (void) const
| Return smallest value of range.
int | max (void) const
| Return largest value of range.
unsigned int | width (void) const
| Return width of range (distance between minimum and maximum).
Protected Member Functions inherited from Gecode::Iter::Ranges::MinMax
void | finish (void)
| Set range such that iteration stops

## Detailed Description

Delta for the least upper bound.

Definition at line 1770 of file set.hh.

## Constructor & Destructor Documentation

## Lub()

Gecode::SetTraceDelta::Lub::Lub | ( | RangeList * | o,
|  | Set::SetView | n )

inline

Initialize with old lub o and new lub n.

Definition at line 42 of file delta.hpp.

## Member Data Documentation

## o

Iter::Ranges::RangeList Gecode::SetTraceDelta::Lub::o

protected

Iterator over old lub.

Definition at line 1775 of file set.hh.

## n

Set::LubRanges<Set::SetView> Gecode::SetTraceDelta::Lub::n

protected

Iterator over new lub.

Definition at line 1777 of file set.hh.

The documentation for this class was generated from the following files:

- gecode/set.hh
- gecode/set/trace/delta.hpp